<mat-toolbar class="dialog-header">
  <div class="dialog-title">
    <h2>Update Model Name</h2>
  </div>
  <button
    type="button"
    mat-icon-button
    [mat-dialog-close]="true"
    class="close"
    tabindex="-1"
  >
    <mat-icon aria-hidden="false" aria-label="Close icon">close</mat-icon>
  </button>
</mat-toolbar>
<mat-dialog-content>
  <p>
    If you are uploading new version of previous model then use the same model
    name.
  </p>
  <div class="star-rating-container">
    <form [formGroup]="updateModelNameForm">
      <div class="flex-column">
        <mat-form-field>
          <mat-label>Model name</mat-label>
          <input matInput formControlName="modelName" />
          @if (message !== "") {
            <mat-error class="modal-error"> {{ message }}</mat-error>
          }
        </mat-form-field>
        <mat-form-field>
          <mat-label>Model Version</mat-label>
          <input matInput formControlName="modelVersion" [disabled]="true" />
        </mat-form-field>
        <mat-form-field>
          <mat-label>Model Id</mat-label>
          <input matInput formControlName="modelId" [disabled]="true" />
        </mat-form-field>
      </div>
    </form></div
></mat-dialog-content>
<mat-toolbar class="form-footer">
  <button mat-dialog-close mat-raised-button class="cancel-button">
    Cancel
  </button>
  <button color="primary" mat-raised-button (click)="update()">Update</button>
</mat-toolbar>
